<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<!-- Responsive Meta Tags -->
		<meta name="viewport" content="width=device-width, initial-scale=1 shrink-to-fit=no">

		<!-- Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

		<title>Bootstrap Flex</title>

	</head>
	<body>
		<div class="container">
			<div class="row">
				<div class="col-md-6 mx-md-auto bg-warning">
					<h1 class="text-center">Bootstrap Flex</h1>
				</div>
			</div>
		</div>
		<!-- End of container -->

		<!-- Flex Row -->
		<h4>Flex Row</h4>
		<div class="d-flex flex-row bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of flex row -->

		<!-- Flex Row Reverse -->
		<h4>Flex Row Reverse</h4>
		<div class="d-flex flex-row-reverse bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of flex row reverse -->

		<!-- Own example -->
		<div class="container">
			<div class="d-flex flex-row bg-dark">
				<div class="bg-primary p-2">Flex Item 1</div>
				<div class="bg-success p-2">Flex Item 2</div>
				<div class="bg-danger p-2">Flex Item 3</div>
			</div>
			<div class="d-flex flex-row-reverse bg-dark mb-4">
			 	<div class="bg-primary p-2">Flex Item 1</div>
				<div class="bg-success p-2">Flex Item 2</div>
				<div class="bg-danger p-2">Flex Item 3</div>
			</div>
		</div>
		<!-- end of example -->

		<!-- Flex Column -->
		<h4>Flex Column</h4>
		<div class="d-flex flex-column bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of flex column -->

		<!-- Flex Column reverse -->
		<h4>Flex Column Reverse</h4>
		<div class="d-flex flex-column-reverse bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of flex column reverse -->

		<!-- Justify Content -->
		<h2 class="text-center">Justify Content</h2>

		<h4 class="text-center">Justify Content Start</h4>
		<div class="d-flex flex-row justify-content-start bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of justify content -->

		<!-- Just content reverse -->
		<h4 class="text-center">Justify Content Start reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-start bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of justify content reverse -->


		<!-- Justify Content End -->
		<h4 class="text-center">Justify Content End</h4>
		<div class="d-flex flex-row justify-content-end bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content End -->

		<!-- Justify Content End reverse -->
		<h4 class="text-center">Justify Content End reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-end bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content End reverse -->

		<!-- Justify Content Center -->
		<h4 class="text-center">Justify Content Center</h4>
		<div class="d-flex flex-row justify-content-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content Center -->

		<!-- Justify Content Center reverse -->
		<h4 class="text-center">Justify Content Center reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content Center reverse -->

		<!-- Justify Content Center column -->
		<h4 class="text-center">Justify Content Center reverse</h4>
		<div class="d-flex flex-column justify-content-center bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content Center column -->

		<!-- Example -->
		<h3 class="text-center">EXAMPLE INLINE</h3>
		<div class="container mb-5">
			<div class="d-flex flex-row justify-content-start">
				<div class="bg-primary p-2">Flex Item 1</div>
				<div class="bg-success p-2">Flex Item 2</div>
				<div class="bg-danger p-2">Flex Item 3</div>
			</div>
			<div class="d-flex flex-row justify-content-center flex-wrap">
				<div class="bg-primary p-2">Flex Item 1</div>
				<div class="bg-success p-2">Flex Item 2</div>
				<div class="bg-danger p-2">Flex Item 3</div>
			</div>
			<div class="d-flex flex-row justify-content-end">
				<div class="bg-primary p-2">Flex Item 1</div>
				<div class="bg-success p-2">Flex Item 2</div>
				<div class="bg-danger p-2">Flex Item 3</div>
			</div>
		</div>
		<!-- end of example -->

		<!-- Justify Content between -->
		<h4 class="text-center">Justify Content Between</h4>
		<div class="d-flex flex-row justify-content-between bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content between -->

		<!-- Justify Content between -->
		<h4 class="text-center">Justify Content Between reverse</h4>
		<div class="d-flex flex-row-reverse justify-content-between bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content between reverse -->

		<!-- Justify Content around -->
		<h4 class="text-center">Justify Content around</h4>
		<div class="d-flex flex-row justify-content-around bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- End of Justify Content around-->

		<!-- Justify Content around with flex-wrap -->
		<h4 class="text-center">Justify Content around with flex-wrap</h4>
		<div class="d-flex flex-row justify-content-around flex-wrap bg-dark mb-4">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
			<div class="bg-info p-2">Flex Item 4</div>
			<div class="bg-secondary p-2">Flex Item 5</div>
			<div class="bg-warning p-2">Flex Item 6</div>
		</div>
		<!-- End of Justify Content around with flex-wrap-->

		<!-- Align Items -->
		<h2 class="text-center">Align Items</h2>
		<h4 class="text-center">Align Items start</h4>

		<div class="d-flex flex-row align-items-start bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align items -->

		<!-- Align item reverse -->
		<h4 class="text-center">Align Items start reverse</h4>

		<div class="d-flex flex-row-reverse align-items-start bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item reverse -->

		<!-- align item end -->
		<h4 class="text-center">Aligns Item end</h4>

		<div class="d-flex flex-row align-items-end bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item end -->

		<!-- align item end reverse -->
		<h4 class="text-center">Align Items end reverse</h4>

		<div class="d-flex flex-row-reverse align-items-end bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item end reverse -->

		<!-- align items center -->
		<h4 class="text-center">Align Items center</h4>

		<div class="d-flex flex-row align-items-center bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item center -->

		<!-- align items center reverse -->
		<h4 class="text-center">Align Items center reverse</h4>

		<div class="d-flex flex-row-reverse align-items-center bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item center reverse -->

		<!-- align item and justify content -->
		<h4 class="text-center">Aligning Vertically and horizontally (END)</h4>
		<div class="d-flex flex-row align-items-end justify-content-end bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item and justify content -->

		<!-- align item and justify content around -->
		<h4 class="text-center">Aligning Vertically and horizontally (AROUND) </h4>
		<div class="d-flex flex-row align-items-end justify-content-around bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item and justify content around -->

		<!-- align item and justify content between-->
		<h4 class="text-center">Aligning Vertically and horizontally (BETWEEN) </h4>
		<div class="d-flex flex-row align-items-end justify-content-between bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of align item and justify content between -->


		<!-- Mini Activity -->
		<h4 class="text-center">Mini Activity</h4>
		<h4 class="text-center">First Parent</h4>
		<div class="d-flex flex-row align-items-center justify-content-center bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<h4 class="text-center">Mini Activity</h4>
		<h4 class="text-center">2nd Parent</h4>
		<div class="d-flex flex-row align-items-center justify-content-around bg-dark mb-4" style="height: 300px">
			<div class="bg-primary p-2">Flex Item 1</div>
			<div class="bg-success p-2">Flex Item 2</div>
			<div class="bg-danger p-2">Flex Item 3</div>
		</div>
		<!-- end of mini activity -->



		<!-- Javascript Dependencies -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js" integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2" crossorigin="anonymous"></script>

	</body>
</html>